Package com.google.protobuf

# Interface MixinOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `Mixin`, `Mixin.Builder`

public interface MixinOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`string name = 1 [json_name = "name"];`
`String`
`getRoot()`
`string root = 2 [json_name = "root"];`
`ByteString`
`getRootBytes()`
`string root = 2 [json_name = "root"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getName

String getName()
`string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### getRoot

String getRoot()
`string root = 2 [json_name = "root"];`

Returns:
  The root.

### getRootBytes

ByteString getRootBytes()
`string root = 2 [json_name = "root"];`

Returns:
  The bytes for root.